SYD-DNS(1)

NAME

syd-dns - resolve hostname into IPs using system DNS resolver

SYNOPSIS

syd-dns [-hr46] hostname

syd-dns [-R] IPv4/6 address

DESCRIPTION

Resolve hostname into IPs using system DNS resolver.

Given -R, perform a reverse-DNS lookup for the given IPv4/6 address using the system DNS resolver.

OPTIONS

-h | Display help and exit.

-4 | Print only IPv4 addresses

-6 | Print only IPv6 addresses

-r | Print a random IP picked using getrandom(2)

-R | Perform a reverse DNS lookup using getnameinfo(3)

SEE ALSO

syd(1), syd(2), syd(5), syd-net(1), getrandom(2), getnameinfo(3)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.